--日常环

--脚本号
x200005_g_scriptId = 200005
--环id
x200005_g_RoundId = 5

--任务权重[环区间][概率,任务id(类型)]
x200005_g_MissionId=10501

x200005_g_DropId=50002

--是否可以接环，通用逻辑已判断
function x200005_CheckRoundAccept( scene,selfId )
	-- body
	return true
end

--当前环的任务id
function x200005_GetRoundMissionId( scene,selfId )
	-- body
	return x200005_g_MissionId 
end


function x200005_MissionRoundNext( scene,selfId,section,roundInSection,roundInCD )

	AcceptRoundMission(scene,selfId,x200005_g_RoundId)
	
end



--环奖励 round 本轮的环数 roundInCD 时间段内的环数（本日（周）的完成次数）
function x200005_OnRoundBouns( scene,selfId,section,round,roundInCD)
	CreateItemToUserByItemID(scene,selfId,102111001,2,true)
	
	AddMoney(scene,selfId,1000000)
end

function  x200005_GetDropId(round,level)
	-- body
	return x200005_g_DropId	
end

--轮数做完了
function x200005_OnRoundFinish( scene,selfId )
	-- body
	--print("OnRound finish")
end
function  x200005_OnRoundAccept( scene,selfId,missionId)
	-- body
	SendServerTips(scene,selfId,"#{11440}",-1,false)
end